> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compute-desk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Regions

> Get list of available region groups for filtering.

Returns supported region groups. Use these when filtering offers by geography.


## OpenAPI

````yaml GET /available_regions
openapi: 3.1.0
info:
  title: Supply Service
  description: GPU offers querying and provisioning service
  version: 0.1.0
servers:
  - url: https://supply-api.compute-desk.com
security: []
paths:
  /available_regions:
    get:
      tags:
        - Regions
      summary: Get Available Regions
      description: Get list of available region groups for filtering.
      operationId: get_available_regions_available_regions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableRegionsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvailableRegionsResponse:
      properties:
        regions:
          items:
            type: string
          type: array
          title: Regions
        description:
          additionalProperties:
            type: string
          type: object
          title: Description
          description: Description of each region group
      type: object
      required:
        - regions
        - description
      title: AvailableRegionsResponse
      description: Response for available regions.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````